/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zk.ui.event.EventListener;
import org.zkoss.zul.Button;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.FormaPago;

/**
 * 
 * @author wallace
 */
public class RenderHistoricoFormaPagoSelecao implements ListitemRenderer {

	public static final String BOTAO_ADICIONAR_FORMAPAGO = "btnAdicionarPermissao";

	private EventListener listenerGenerico;

	public RenderHistoricoFormaPagoSelecao(EventListener listenerGenerico) {
		super();
		this.listenerGenerico = listenerGenerico;
	}

	public RenderHistoricoFormaPagoSelecao() {
		super();
	}

	public void render(Listitem lstm, Object o) throws Exception {

		FormaPago formaPago = (FormaPago) o;

        Listcell lc = new Listcell(formaPago.getFormapagoId().toString());
        lc.setParent(lstm);

        lc = new Listcell(formaPago.getDescpago());
        lc.setParent(lstm);
        lc = new Listcell();

		Button btnAdicionarPermissao = new Button("");
		btnAdicionarPermissao.setAttribute("data", o);
		btnAdicionarPermissao.setAttribute("tipo", "btnAdicionarPermissao");
		btnAdicionarPermissao.addEventListener("onClick", listenerGenerico);
		btnAdicionarPermissao.setImage("/gui/img/add.png");
		lc.appendChild(btnAdicionarPermissao);

		lc.setParent(lstm);

		lstm.setAttribute("data", formaPago);
	}
}
